# LFortran

[![project chat](https://img.shields.io/badge/zulip-join_chat-brightgreen.svg)](https://lfortran.zulipchat.com/)

LFortran is a modern open-source (BSD licensed) interactive Fortran compiler
built on top of LLVM. It can execute user's code interactively to allow
exploratory work (much like Python, MATLAB or Julia) as well as compile to
binaries with the goal to run user's code on modern architectures such as
multi-core CPUs and GPUs.

Website: https://lfortran.org/

Try online: https://dev.lfortran.org/

# Documentation

All documentation, installation instructions, motivation, design, ... is
available at:

https://docs.lfortran.org/

Which is generated using the files in the `doc` directory.


# Development

We welcome all contributions.
The main development repository is at GitHub:

https://github.com/lfortran/lfortran

Please send Pull Requests (PRs) and open issues there.

See the [CONTRIBUTING](CONTRIBUTING.md) document for more information.

Main mailinglist:

https://groups.io/g/lfortran

You can also chat with us on Zulip ([![project chat](https://img.shields.io/badge/zulip-join_chat-brightgreen.svg)](https://lfortran.zulipchat.com/)).

Note: We moved to the above GitHub repository from GitLab on July 18, 2022.

# Donations

You can support LFortran's development by donating to NumFOCUS or Open
Collective as well as GitHub Sponsors:

* https://numfocus.org/donate-to-lfortran
* https://opencollective.com/lfortran
* https://github.com/sponsors/lfortran

All donations will be used strictly to fund LFortran development, by supporting
tasks such as paying developers to implement features, sprints, improved
documentation, fixing bugs, etc.

The donations to LFortran are managed by the NumFOCUS foundation. NumFOCUS is a
501(c)3 non-profit foundation, so if you are subject to US Tax law, your
contributions will be tax-deductible.

If you want to discuss another way to fund or help with the development, feel
free to contact Ondřej Čertík (ondrej@certik.us).

# Star History

[![Star History Chart](https://api.star-history.com/svg?repos=lfortran/lfortran&type=Date)](https://star-history.com/#lfortran/lfortran&Date)
